<?php

include("../../class/class.conectar.php");
include("../../class/class.blkpersonal2.php");

$Objcon = new Conectar();
$conex = $Objcon->con();

//$ugid=$_GET['ugid'];

//echo "<input type='hidden' id='ugid' name='ugid' value='".$ugid."'>";

function restaFechas($dFecIni, $dFecFin)
{
    $dFecIni = str_replace("-","",$dFecIni);
    $dFecIni = str_replace("/","",$dFecIni);
    $dFecFin = str_replace("-","",$dFecFin);
    $dFecFin = str_replace("/","",$dFecFin);

    ereg( "([0-9]{1,2})([0-9]{1,2})([0-9]{2,4})", $dFecIni, $aFecIni);
    ereg( "([0-9]{1,2})([0-9]{1,2})([0-9]{2,4})", $dFecFin, $aFecFin);

    $date1 = mktime(0,0,0,$aFecIni[2], $aFecIni[1], $aFecIni[3]);
    $date2 = mktime(0,0,0,$aFecFin[2], $aFecFin[1], $aFecFin[3]);

    return round(($date2 - $date1) / (60 * 60 * 24));
}

if(isset($_GET['idj'])&& isset($_GET['anno']) && isset($_GET['mes']) && isset($_GET['idtp'])){
    $idj=$_GET['idj'];
    $ids=$_GET['ids'];
    $idtp=$_GET['idtp'];
    $anno=$_GET['anno'];
    $mm=$_GET['mes'];
    $est=$_GET['est'];
}

$Obj_k2 = new BlkPersonal();
$res_k2 = array();
$res_k2 = $Obj_k2->buscar_regvacaciones($conex,$idj,$ids,$idtp,$est,$anno,$mm);

if(count($res_k2)>0){

$salida = "<table border='0' align='center' class='TableDiseno' >";
$salida = $salida."<tr><td align='center' colspan='7' class='LlenarTablaGareaTitulo'>LISTADO DEL PERSONAL</td></tr>";
$salida = $salida."<tr><td align='center' width='280' class='LlenarTablaGareaTituloUNO'>APELLIDOS Y NOMBRES</td><td align='center' width='90' class='LlenarTablaGareaTituloUNO'>SERVICIO</td><td align='center' width='160' class='LlenarTablaGareaTituloUNO'>TIPO DE PERSONAL</td><td align='center' width='100' class='LlenarTablaGareaTituloUNO'>F. INICIO</td><td align='center' width='100' class='LlenarTablaGareaTituloUNO'>F. FIN</td><td align='center' width='80' class='LlenarTablaGareaTituloUNO'>NRO DIAS</td><td align='center' width='70' class='LlenarTablaGareaTituloUNO'>PERIODO</td></tr>";

for($a=0; $a<count($res_k2);$a++){

//$codigo=$res_k2[$a]['cod'];
$nombre=$res_k2[$a]['nom'];
$tipopersona=$res_k2[$a]['tipo_personal'];
$servicio=$res_k2[$a]['servicio'];
$fini=$res_k2[$a]['fini'];
$ffin=$res_k2[$a]['ffin'];
$ndias=$res_k2[$a]['ndias'];
$periodo=$res_k2[$a]['per'];

$salida = $salida."<tr><td class ='FacetDataTextC'>".$nombre."</td><td align='center' class ='FacetDataTextC'>".$servicio."</td><td align='center' class ='FacetDataTextC'>".$tipopersona."</td><td align='center' class ='FacetDataTextC'>".$fini."</td><td align='center' class ='FacetDataTextC'>".$ffin."</td><td align='center' class ='FacetDataTextC'>".$ndias."</td><td align='center' class ='FacetDataTextC'>".$periodo."</td></tr>";

$mes = mktime( 0, 0, 0, $mm, 1, $anno );
$numeroDeDias = intval(date("t",$mes));

//pregunta por servicicios

if($mm<10){
$mmm = '0'.$mm;
}
}

$salida = $salida."</table>";
echo $salida;
}else{
  echo "<br><center><p><font color='red'><b>NO SE CUENTA CON NINGUN REGISTRO</b></font></p></center>";
}

?>
